summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Frank Perez2010-05-13 00:57:35 +0200
committer David Somero2010-05-13 00:57:35 +0200
commit2cfc8cf410f5f4502000cc7d4faf70e43382f4f6 (patch)
tree98991560e665c11c12c9f0bec5f14c40a94d4193 /desktop
parent8ee7cf4834ba157f466ac98b101e7821564eae1b (diff)
downloadslackbuilds-2cfc8cf410f5f4502000cc7d4faf70e43382f4f6.tar.gz
desktop/bilbo: Added to 13.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/bilbo/README11
-rw-r--r--desktop/bilbo/bilbo.SlackBuild77
-rw-r--r--desktop/bilbo/bilbo.info10
-rw-r--r--desktop/bilbo/doinst.sh8
-rw-r--r--desktop/bilbo/slack-desc19
5 files changed, 125 insertions, 0 deletions
diff --git a/desktop/bilbo/README b/desktop/bilbo/README
new file mode 100644
index 0000000000..5de7c5c7d4
--- /dev/null
+++ b/desktop/bilbo/README
@@ -0,0 +1,11 @@
+Bilbo Blogger v1.0 (KDE4 blogging client) Bilbo is a Free/Open Source
+Blogging client, focused on simplicity and usability.
+
+Currently there is no support for adding categories from the Bilbo client.
+
+Due to trademark issues Bilbo v1.0 is the last release by this name,
+Blogilo is the new project name. You can visit the project's homepage
+for more information at http://blogilo.gnufolks.org/
+
+Blogilo is also now part of the official KDE PIM
+project, replacing KBlogger. \ No newline at end of file
diff --git a/desktop/bilbo/bilbo.SlackBuild b/desktop/bilbo/bilbo.SlackBuild
new file mode 100644
index 0000000000..a13440a00b
--- /dev/null
+++ b/desktop/bilbo/bilbo.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+# Slackware build script for bilbo
+# Written by Frank Perez <fperez.it@gmail.com>
+
+PRGNAM=bilbo
+VERSION=${VERSION:-1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+INSTDIR=${INSTDIR:-/usr}
+MANDIR=${MANDIR:-$INSTDIR}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=$INSTDIR \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=$MANDIR/man \
+ -DCMAKE_BUILD_TYPE=$ARCH-slackware-linux ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/$MANDIR/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGELOG COPYING README TODO \
+ $PKG/$MANDIR/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/$MANDIR/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/bilbo/bilbo.info b/desktop/bilbo/bilbo.info
new file mode 100644
index 0000000000..ff810acf20
--- /dev/null
+++ b/desktop/bilbo/bilbo.info
@@ -0,0 +1,10 @@
+PRGNAM="bilbo"
+VERSION="1.0"
+HOMEPAGE="http://blogilo.gnufolks.org/"
+DOWNLOAD="http://bilbo.gnufolks.org/packages/bilbo-1.0-src.tar.gz"
+MD5SUM="dcbb7e8392d13bebe94cd6405b2c86a9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Frank Perez"
+EMAIL="fperez.it@gmail.com"
+APPROVED="dsomero"
diff --git a/desktop/bilbo/doinst.sh b/desktop/bilbo/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/desktop/bilbo/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/desktop/bilbo/slack-desc b/desktop/bilbo/slack-desc
new file mode 100644
index 0000000000..5a383b25c5
--- /dev/null
+++ b/desktop/bilbo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bilbo: Bilbo (KDE4 blogging client)
+bilbo:
+bilbo: Bilbo is a Free/Open Source Blogging client, focused on simplicity
+bilbo: and usability.
+bilbo:
+bilbo:
+bilbo:
+bilbo:
+bilbo:
+bilbo:
+bilbo: